Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.geom
Class PolylineGeometry.Offset

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.geom.PolygonGeometry
              com.bbn.openmap.omGraphics.geom.PolygonGeometry.XY
                  com.bbn.openmap.omGraphics.geom.PolygonGeometry.Offset
                      com.bbn.openmap.omGraphics.geom.PolylineGeometry.Offset

All Implemented Interfaces:
  OMGeometry, OMGraphicConstants, java.io.Serializable

Enclosing class:
  PolylineGeometry

public static class PolylineGeometry.Offset
extends PolygonGeometry.Offset

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.geom.PolygonGeometry
`PolygonGeometry.LL, PolygonGeometry.Offset, PolygonGeometry.XY`

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.geom.PolygonGeometry.Offset
`coordMode, COORDMODE_ORIGIN, COORDMODE_PREVIOUS, lat, lon`

Fields inherited from class com.bbn.openmap.omGraphics.geom.PolygonGeometry.XY
`xs, ys`

Fields inherited from class com.bbn.openmap.omGraphics.geom.PolygonGeometry
`doShapes, isPolygon, xpoints, ypoints`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`APP_OBJECT_KEY, appObject, ATT_MAP_KEY, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK`

Constructor Summary
`PolylineGeometry.Offset(float latPoint, float lonPoint, int[] xypoints, int cMode)` Create an x/y OMPoly at an offset from lat/lon.
`PolylineGeometry.Offset(float latPoint, float lonPoint, int[] xPoints, int[] yPoints, int cMode)` Create an x/y OMPoly at an offset from lat/lon.

Methods inherited from class com.bbn.openmap.omGraphics.geom.PolygonGeometry.Offset
`generate, getCoordMode, getLat, getLon, getRenderType, setCoordMode, setLat, setLocation, setLocation, setLon`

Methods inherited from class com.bbn.openmap.omGraphics.geom.PolygonGeometry.XY
`createShape, getXs, getYs, setLocation, setLocation, setXs, setYs`

Methods inherited from class com.bbn.openmap.omGraphics.geom.PolygonGeometry
`distance, getDoShapes, getIsPolygon, getShape, setDoShapes, setIsPolygon`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, checkAttributeMap, checkAttributeMap, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, deselect, distanceToEdge, draw, fill, getAppObject, getAppObject, getAttribute, getAttributeMap, getAttributes, getLineType, getNeedToRegenerate, isRenderable, isVisible, putAttribute, regenerate, removeAttribute, replaceAppObjectWithAttributeMap, select, setAppObject, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, deselect, draw, fill, getAppObject, getAttribute, getAttributes, getLineType, getNeedToRegenerate, isRenderable, isVisible, putAttribute, regenerate, removeAttribute, select, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Constructor Detail

### PolylineGeometry.Offset

    public PolylineGeometry.Offset(float latPoint,
                                   float lonPoint,
                                   int[] xypoints,
                                   int cMode)

  Create an x/y OMPoly at an offset from lat/lon. If you want the poly to be connected, you need to ensure that the first and last coordinate pairs are the same.

Parameters:
  `latPoint` - latitude in decimal degrees
  `lonPoint` - longitude in decimal degrees
  `xypoints` - int[] of x,y pairs
  `cMode` - offset coordinate mode

### PolylineGeometry.Offset

    public PolylineGeometry.Offset(float latPoint,
                                   float lonPoint,
                                   int[] xPoints,
                                   int[] yPoints,
                                   int cMode)

  Create an x/y OMPoly at an offset from lat/lon. If you want the poly to be connected, you need to ensure that the first and last coordinate pairs are the same.

Parameters:
  `latPoint` - latitude in decimal degrees
  `lonPoint` - longitude in decimal degrees
  `xPoints` - int[] of x coordinates
  `yPoints` - int[] of y coordinates
  `cMode` - offset coordinate mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details